#include <bits/stdc++.h>

using namespace std;

int x[1000005],y[1000005];
int racun(int kx,int ky,int n)
{
    int br=0;
    for(int i=0;i<n;i++)
    {
        br+=abs(kx-x[i])*abs(ky-y[i]);
    }
    return br;
}
int main()
{
    int m;
    cin>>m;
    int maxi=INT_MIN;
    for(int i=0;i<m;i++)
    {
        cin>>x[i]>>y[i];
        for(int j=0;j<x[i];j++)
        {
            for(int k=0;k<y[i];k++)
            {
                maxi=max(racun(j,k,i),maxi);
            }
        }
        cout<<maxi<<endl;
    }
    return 0;
}